
Name:    rss-kde 
Summary: screensavers from the "Really Slick Screensavers" collection, for KDE
Version: 0.3
Release: 3%{?dist}

License: GPL
Source0: http://www.davidsansome.com/rss-kde-0.3.tar.bz2 
URL:	 http://www.kde-look.org/content/show.php?content=14355 
Group: 	 User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Includes gcc4-friendly/Updated 'relaytool'
Source1: http://ftp.sunsite.dk/projects/autopackage/tools/apbuild-1.9.0.tar.gz

BuildRequires: libGL-devel libGLU-devel
BuildRequires: openal-devel
BuildRequires: kdebase-devel

Requires: kdebase 


%description
four screensavers from the "Really Slick Screensavers" collection, for KDE:
Plasma
Lattice
Skyrocket
Helios


%prep
%setup -q -a 1

# update relaytool
cp -alf apbuild-*/relaytool src/

# (try to) avoid needless autoheader run
touch config.h.in


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings --disable-dependency-tracking 

# not smp safe
make 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/menu


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*.kss
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/rss-kde/


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Sep 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.3-3
- respin

* Fri Nov 18 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3-2
- fixup for fc4/gcc4 (update relaytool)

* Wed Nov 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3-1
- cleanup for Extras

* Thu Mar 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3-0.1.kde
- 0.3

